package com.changfa.constants;

public interface DictConstants {


    public final static String DEFAULT_PASSWORD = "DEFAULT_PASSWORD";
    public final static String WB_TIME = "WB_TIME";
    public final static String ALARM_TYPE = "ALARM_TYPE";
    public final static String DEVICE_TYPE = "DEVICE_TYPE";
    public final static String OFF_RATIO_COLOR = "OFF_RATIO_COLOR";
    // 告警级别
    public final static String ALARM_LEVEL = "ALARM_LEVEL";

    public enum DictEnum{


        ;
        DictEnum(String name,String subCode){
            this.name = name;
            this.subCode = subCode;
        }

        DictEnum(String name,String subCode,Integer code){
            this.name = name;
            this.subCode = subCode;
            this.code = code;
        }

        //public static String get

        private String name;
        private String subCode;

        private Integer code;
        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getSubCode() {
            return subCode;
        }

        public void setSubCode(String subCode) {
            this.subCode = subCode;
        }

        public Integer getCode() {
            return code;
        }

        public void setCode(Integer code) {
            this.code = code;
        }
    }

}
